> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/ios/changelogs/version-9/v9-0-1-77780.md).

# Version 9.0.1.77780 Changelog (June 7th, 2021)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

* Version: 9.0.1.77780
* Release Date: June 7th, 2021
* Built with Xcode 12.5 (12E262)

## New

* The [`PTAnnotationViewController`](https://sdk.apryse.com/api/ios/Classes/PTAnnotationViewController.html) (that displays a list of annotations) now supports viewing and replying to comments, which is especially useful for collaboration. This is automatically enabled when using a [`PTCollaborationDocumentController`](https://sdk.apryse.com/api/ios/Classes/PTCollaborationDocumentController.html), and can otherwise be programatically enabled with the [`annotationRepliesEnabled`](https://sdk.apryse.com/api/ios/Classes/PTAnnotationViewController.html#/c:objc\(cs\)PTAnnotationViewController\(py\)annotationRepliesEnabled) API on the `PTAnnotationViewController`.
* The [`Navigation Lists Controller`](https://sdk.apryse.com/api/ios/Classes/PTNavigationListsViewController.html) (that displays the outline, bookmarks, annotation, and OCG layer lists) can now be user-resized on iPads.
* The [`PTDiffViewController`](https://sdk.apryse.com/api/ios/Classes/PTDiffViewController.html) now supports text diffs (similar to a source-control diff, showing added and deleted text), in addition to the existing pixel-overlay diff functionality.
* The [`PTThumbnailsViewController`](https://sdk.apryse.com/api/ios/Classes/PTThumbnailsViewController.html) has the added ability to export selected thumbnails as a new document.
* A new view mode, Crop Pages, allows the user to view pages cropped to a portion of the page, for more optimal viewing on small devices.
* The new [`PTPageCropViewController`](https://sdk.apryse.com/api/ios/Classes/PTPageCropViewController.html) allows the user to manually specify the crop region.
* The view settings dialog now optionally includes a switch to enable right-to-left viewing. It is automatically enabled if the device is running on a device with a RTL UI. It can be programatically controlled via the [`viewModeRightToLeftHidden`](https://sdk.apryse.com/api/ios/Classes/PTDocumentViewSettingsController.html#/c:objc\(cs\)PTDocumentViewSettingsController\(py\)viewModeRightToLeftHidden) API.
* The [Document View Settings Controller](https://sdk.apryse.com/api/ios/Classes/PTDocumentViewSettingsController.html#/c:objc\(cs\)PTDocumentViewSettingsController) has new APIs that allow any option to be hidden.
* The popover menu no longer shows every time an annotation is moved, but only when the annotation is tapped.
* The eraser tool will delete whole objects instantly, rather than on a touchUp event.
* When the PDF is rendered in dark mode, creating and editing annotations will now use the same dark-mode rendered colours (as opposed to the light-mode colours).
* New API,[`pageIndicatorAlwaysVisible`](https://sdk.apryse.com/api/ios/Classes/PTDocumentBaseViewController.html#/c:objc\(cs\)PTDocumentBaseViewController\(py\)pageIndicatorAlwaysVisible), to allow the page number indicator to always remain visible.
* A new property to disable multiple annotation selection, [`allowsMultipleAnnotationSelection`](https://sdk.apryse.com/api/ios/Classes/PTToolManager.html#/c:objc\(cs\)PTToolManager\(py\)allowsMultipleAnnotationSelection).
* When the page label matches the page number, the page label is no longer displayed in the floating page number indicator.

## Fixes

* Resizing a Free Text annotation on a rotated page will no longer cause the annotation to rotate.
* 1-page documents in a continuous page view mode are no longer initially displayed too high in the viewer.
* Annotations created when the viewer is scrolled to the top of the document, the navigation bar is shown, and the viewer has not been subsequently scrolled, will no longer shift position.
* PTCollaborationDocumentController will no longer crash when shown on an iPhone 11 device.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/ios/changelogs/version-9/v9-0-1-77780.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
